Weird error message from Vscode

Zingemneire
Posts: 66
Joined: Tue Apr 17, 2018 7:35 am

Weird error message from Vscode

Postby Zingemneire » Thu Apr 08, 2021 11:52 am

Hi All,

A few years ago I implemented an ESP32 application using a windows 10 machine and VSCODE and it was quite successful.

Now I am trying to implement a new application, this time on a machine running Ubuntu 20.4 and VSCODE again.
It has gone smooth so that I can build and UART flash the new application from within Visual Studio Code using the new ESP-IDF extension.

However, I have run into a problem which I am unable to solve until now: when I try to flash the application via JTAG.

Originally it reported some like this:

Code: Select all

Minimum OpenOCD version v0.10.0-esp32-20201125 is required while you have v0.10.0-esp32-20200731 version installed.
I did some checking, replaced the old version with the latest one v0.10.0-esp32-20210401 and updated the relevant paths in the settings.json file and restarted VSCODE.
Now it is giving me this message:

Code: Select all

Minimum OpenOCD version v0.10.0-esp32-20201125 is required while you have failed+to+ match+ version version installed
On how to take care of this one I can't find anything via Google, so is there anyone out there with any suggestion on how to solve this one?

Any help would be much appreciated.

Updates:
1) I have reinstalled everything => no joy.
2) No matter how often I edit the settings.json file, every time I restart VSCODE the content of the file reverts back to wanting version 20200709 instead of 20201125

cooperrandi146
Posts: 1
Joined: Mon Apr 12, 2021 5:45 am

Re: Weird error message from Vscode

Postby cooperrandi146 » Mon Apr 12, 2021 6:18 am

Okay, press Resume button or go to or check Resume right in your configuration. If you do not understand what is meant to be done, go to https://docs.espressif.com/projects/esp ... er-eclipse pimion and follow each step of the process. Thenthe app should start and stop at app_main where you will will finally see threads.

Zingemneire
Posts: 66
Joined: Tue Apr 17, 2018 7:35 am

Re: Weird error message from Vscode

Postby Zingemneire » Mon Apr 12, 2021 2:54 pm

Hi,

I am sorry but there is not much that I can do with that reply. "Resume" button: what, where ?
Equally the instructions at https://docs.espressif.com/projects/esp ... er-eclipse are not really useful, after a while they just show you back to get started and yes: you can then reinstall but it all stays the same.

The fundamental problem is that however much you edit settings.json each time you restart VSCODE it subbornly modifies it so that the two variables idf.customExtraPaths and idf.customExtraVars are always reset back to version 20200709.

I know for sure it is the ESP-IDF VSCODE extension that does it because if I disable that it does not modify anything.
I have looked everywhere for a file that may contain the reference to that version but I have not found anything anywhere.

I have found this https://github.com/espressif/vscode-esp ... issues/289 but again it refers to changing those variables without any detail as to how they may be changed again after you have edited them.

Who is online

Users browsing this forum: No registered users and 51 guests